KStdAccel::ShortcutList class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KStdAccel::ShortcutList Class Reference

KShortcutList implementation that accesses KStdAccel actions. More...

`#include <kshortcutlist.h>`

Inheritance diagram for KStdAccel::ShortcutList:

[legend]
Collaboration diagram for KStdAccel::ShortcutList:

[legend]
List of all members.

## Public Member Functions
| ShortcutList ()
| Creates a new ShortcutList.
virtual unsigned int | count () const
| Returns the number of entries.
virtual QString | name (unsigned int index) const
| Returns the name of the shortcut with the given `index`.
virtual QString | label (unsigned int index) const
| Returns the (i18n'd) label of the shortcut with the given `index`.
virtual QString | whatsThis (unsigned int index) const
| Returns the (i18n'd) What's This text of the shortcut with the given `index`.
virtual const KShortcut & | shortcut (unsigned int index) const
| Returns the shortcut with the given `index`.
virtual const KShortcut & | shortcutDefault (unsigned int index) const
| Returns default shortcut with the given `index`.
virtual bool | isConfigurable (unsigned int index) const
| Checks whether the shortcut with the given `index` is configurable.
virtual bool | setShortcut (unsigned int index, const KShortcut &shortcut)
| Sets the shortcut of the given entry.
virtual QVariant | getOther (Other, unsigned int index) const
virtual bool | setOther (Other, unsigned int index, QVariant)
virtual bool | save () const
| Save the shortcut list.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
| used to extend the interface with virtuals without breaking binary compatibility

## Detailed Description

KShortcutList implementation that accesses KStdAccel actions.

Definition at line 255 of file kshortcutlist.h.

## Constructor & Destructor Documentation

KStdAccel::ShortcutList::ShortcutList | ( |  | ) |

| Creates a new ShortcutList. Definition at line 293 of file kstdaccel.cpp.

## Member Function Documentation

uint KStdAccel::ShortcutList::count | ( |  | ) | const`[virtual]`

| Returns the number of entries. Returns: the number of entries Implements KShortcutList. Definition at line 299 of file kstdaccel.cpp.

virtual QString KStdAccel::ShortcutList::name | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the name of the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the name of the shortcut Implements KShortcutList.

virtual QString KStdAccel::ShortcutList::label | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the (i18n'd) label of the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the label (i18n'd) of the shortcut Implements KShortcutList.

virtual QString KStdAccel::ShortcutList::whatsThis | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the (i18n'd) What's This text of the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the What's This text (i18n'd) of the shortcut Implements KShortcutList.

virtual const KShortcut& KStdAccel::ShortcutList::shortcut | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the shortcut See also: shortcutDefault() Implements KShortcutList.

virtual const KShortcut& KStdAccel::ShortcutList::shortcutDefault | ( | unsigned int | index | ) | const`[virtual]`

  | Returns default shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the default shortcut See also: shortcut() Implements KShortcutList.

virtual bool KStdAccel::ShortcutList::isConfigurable | ( | unsigned int | index | ) | const`[virtual]`

  | Checks whether the shortcut with the given `index` is configurable. Parameters:
  index | the index of the shortcut (must be < count())
Returns: true if configurable, false otherwise Implements KShortcutList.

virtual bool KStdAccel::ShortcutList::setShortcut | ( | unsigned int | index,
|  | const KShortcut & | shortcut
| ) | `[virtual]`

  | Sets the shortcut of the given entry. Parameters:
  index | the index of the shortcut (must be < count())
  shortcut | the shortcut
Implements KShortcutList.

bool KStdAccel::ShortcutList::save | ( |  | ) | const`[virtual]`

| Save the shortcut list. Returns: true if successful, false otherwise Implements KShortcutList. Definition at line 344 of file kstdaccel.cpp. References KShortcutList::writeSettings().

void KStdAccel::ShortcutList::virtual_hook | ( | int | id,
|  | void * | data
| ) | `[protected, virtual]`

| used to extend the interface with virtuals without breaking binary compatibility Reimplemented from KShortcutList. Definition at line 202 of file kshortcutlist.cpp. References KShortcutList::virtual_hook().

The documentation for this class was generated from the following files:

- kshortcutlist.h
- kshortcutlist.cpp
- kstdaccel.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001